kate Library: KateReplacePrompt Class Reference (kate Library)

| # kate Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KateReplacePrompt Class Reference

simple replace prompt dialog More...

`#include <katesearch.h>`

Inheritance diagram for KateReplacePrompt:

[legend]
Collaboration diagram for KateReplacePrompt:

[legend]
List of all members.

## Signals
void | clicked ()
## Public Member Functions
| KateReplacePrompt (QWidget *parent)
## Protected Slots
void | slotOk ()
void | slotClose ()
void | slotUser1 ()
void | slotUser2 ()
void | slotUser3 ()
void | done (int result)

## Detailed Description

simple replace prompt dialog

Definition at line 167 of file katesearch.h.

## Constructor & Destructor Documentation

KateReplacePrompt::KateReplacePrompt | ( | QWidget * | parent | ) |

  | Constructor. Parameters:
  | parent | parent widget for the dialog
Definition at line 668 of file katesearch.cpp. References QBoxLayout::addWidget(), KDialogBase::setButtonOK(), KDialogBase::setMainWidget(), and KDialog::spacingHint().

## Member Function Documentation

void KateReplacePrompt::clicked | ( |  | ) | `[signal]`

| button clicked Referenced by done().

void KateReplacePrompt::slotOk | ( |  | ) | `[protected, virtual, slot]`

| ok pressed Reimplemented from KDialogBase. Definition at line 682 of file katesearch.cpp. References done().

void KateReplacePrompt::slotClose | ( |  | ) | `[protected, virtual, slot]`

| close pressed Reimplemented from KDialogBase. Definition at line 687 of file katesearch.cpp. References done().

void KateReplacePrompt::slotUser1 | ( |  | ) | `[protected, virtual, slot]`

| replace all pressed Reimplemented from KDialogBase. Definition at line 692 of file katesearch.cpp. References done().

void KateReplacePrompt::slotUser2 | ( |  | ) | `[protected, virtual, slot]`

| last pressed Reimplemented from KDialogBase. Definition at line 697 of file katesearch.cpp. References done().

void KateReplacePrompt::slotUser3 | ( |  | ) | `[protected, virtual, slot]`

| Yes pressed. Reimplemented from KDialogBase. Definition at line 702 of file katesearch.cpp. References done().

void KateReplacePrompt::done | ( | int | result | ) | `[protected, slot]`

  | dialog done Parameters:
  | result | dialog result
Reimplemented from QDialog. Definition at line 707 of file katesearch.cpp. References clicked(), and QDialog::setResult(). Referenced by slotClose(), slotOk(), slotUser1(), slotUser2(), and slotUser3().

The documentation for this class was generated from the following files:

- katesearch.h
- katesearch.cpp

This file is part of the documentation for kate Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:36:51 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003